Subject: Re: [bug#78645] [PATCH emacs-team] gnu: emacs-vertico: Update to 2.2.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 07 Jun 2025 00:10:28 +0200

Am Freitag, dem 06.06.2025 um 10:41 +0200 schrieb Cayetano Santos:
> > Either way, you can shorten that to [#:phases]<makeinfo> imho.
> 
> Let me know if this is mandatory of a personal preference, as I feel
> like some will reply to v2 arguing that [arguments] are missing ...
While this is a personal opinion and style – and ChangeLog style does
vary quite a bit in Guix commits, as it is not too strictly enforced –
there are a number of contributors with a similar style.  Both Ian Eure
and Hilton Chain are members of emacs-team, who can be shown by a quick
'git log --grep' to use '[#:phases]'.

The idea behind this is that four levels of nesting is already the
maximum with the brackets we have and for keyword arguments it's clear
that those belong to arguments.  Particularly, when no other argument
is changed, it doesn't make much sense to spell out <arguments>.

Cheers